\NeedsTeXFormat{LaTeX2e} % specify required latex format
\ProvidesClass{masterthesis}[2019/01/03 Masterthesis Class]

% Fallback, pass all unknown options to base class
\DeclareOption*{
    \PassOptionsToClass{\CurrentOption}{scrbook}
}

% Process given options
\ProcessOptions\relax

% Load base class
\LoadClass[a4paper,twoside=false,%
appendixprefix=true,numbers=noenddot]{scrbook}

% do some stuff

% mandatory last line
\endinput
